#
# https://docs.spring.io/spring-boot/docs/current/reference/html/common-application-properties.html
#

#
# APPPLICATION
#
spring.main.banner-mode=log

#
# BUILD
#
build.version=@project.version@
build.timestamp=@timestamp@

#
# DATASOURCE
#
spring.datasource.driverClassName=@spring.datasource.driver@
spring.datasource.url=@spring.datasource.url@
spring.datasource.username=@spring.datasource.username@
spring.datasource.password=@spring.datasource.password@

#
# INTERNATIONALIZATION
#
spring.messages.basename=messages/messages
spring.messages.encoding=UTF-8
spring.messages.fallback-to-system-locale=true

#
# JPA / HIBERNATE
#
spring.jpa.hibernate.naming-strategy=org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.properties.hibernate.default_schema=@spring.database.schema@
spring.jpa.properties.hibernate.enable_lazy_load_no_trans=true

#
# LIQUIBASE
#
spring.liquibase.change-log=@spring.liquibase.change-log@
spring.liquibase.default-schema=@spring.database.schema@
spring.liquibase.liquibase-schema=@spring.liquibase.schema@

#
# LOGGING
#
logging.pattern.console=[%d{yyyy-MM-dd HH:mm:ss}][%level][%msg]%n
logging.pattern.file=[%d{yyyy-MM-dd HH:mm:ss}][%level][%msg]%n

#
# PROFILE
#
spring.profiles.active=@spring.profiles.active@

#
# SPRING MVC
#
spring.mvc.locale-resolver=accept-header

#
# THYMELEAF
#
spring.thymeleaf.content-type=text/html
spring.thymeleaf.mode=HTML

#
# UPLOADS
#
spring.http.multipart.enabled=false
spring.servlet.multipart.enabled=true
spring.servlet.multipart.file-size-threshold=50KB
spring.servlet.multipart.max-file-size=5MB
spring.servlet.multipart.max-request-size=5MB


#Metrics related configurations
management.endpoints.web.exposure.include=metrics,prometheus
management.endpoint.metrics.enabled=true
management.endpoint.prometheus.enabled=true
management.metrics.export.prometheus.enabled=true
